Should not accept debian distros for ubuntu packages and vice versa

Bug #120040 reported by Soren Hansen on 2007-06-12
2
Affects Status Importance Assigned to Milestone
lintian (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: lintian

lintian should not blindly accept all debian and ubuntu distributions. The attached patch checks if the version strings contains "ubuntu" and if so, only accepts Ubuntu distributions, and if not, only accepts Debian distributions.

Soren Hansen (soren) wrote :

Someone with stronger perl-fu than me should probably approve this.

Soren Hansen (soren) wrote :

New patch. Now with Debian's own distro checking back in place.

Soren Hansen (soren) wrote :

*-proposed-updates is apparantly not valid for Ubuntu.

Soren Hansen (soren) wrote :

lintian (1.23.31ubuntu2) gutsy; urgency=low

  * If version contains "ubuntu", only accept Ubuntu distributions
    (LP: #120040).

 -- Soren Hansen <email address hidden> Tue, 12 Jun 2007 13:43:51 +0200

Changed in lintian:
status: Unconfirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers